#include <iostream>
#include "Queue.h"

using namespace std;

int main()
{
	Queue<double> cola;
	double data = 0.0;
	while ( cin >> data )
		cola.add(data);
	cout << cola << endl;

	for ( Queue<double>::ConstIterator itr = cola.begin(); itr != cola.end(); ++itr)
		cout << *itr << ", ";

	cout << endl;

#if 0
	cin.clear();
	Queue<std::string> colaStr;
	string text;
	while ( cin >> text )
		colaStr.add(text);
	cout << colaStr << endl;
#endif

	return 0;
}
